So I am in a group project that requires us to create a JavaFX GUI. My group and I are using gradle to deal with compiling our code. I have been able to compile the code, but I have errors running it.

When I run it, I get several "package javafx.XXX.XXXX" does not exist

I am running:

Ubuntu 17.04

openjdk version "1.8.0_151" OpenJDK Runtime Environment (build 1.8.0_151-8u151-b12-0ubuntu0.17.04.2-b12) OpenJDK 64-Bit Server VM (build 25.151-b12 mixed mode)

A lot of answers out there say to install the openjfx package but I am unable to find that package - I am not sure if that is out of date?

I would really appreciate help. Thank you ahead of time.

marked as duplicate by karel, user535733, David Foerster, Eric Carvalho, Charles Green Mar 3 at 16:08

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • Ubuntu 17.04 reached EOL on 13-Jan-2018, and as such its off-topic on this site. I'd suggest upgrading to a supported version of Ubuntu, ie. 17.10 or if you need a longer life use LTS versions 16.04LTS or 14.04LTS. (17.04 released 2017.April + 9 months = 2018.01) – guiverc Mar 2 at 8:29
  • 1
    fyi: package is available for 16.04LTS, 17.10 and 18.04 (currently in test) according to packages.ubuntu.com/search?keywords=openjfx – guiverc Mar 2 at 8:32

Browse other questions tagged or ask your own question.